This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 434006 - llvm failed massrebuild attempt for GCC 4.3
llvm failed massrebuild attempt for GCC 4.3
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: llvm (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bryan O'Sullivan
Fedora Extras Quality Assurance
:
Depends On:
Blocks: gcc43errors
  Show dependency treegraph
 
Reported: 2008-02-22 07:54 EST by Jesse Keating
Modified: 2013-01-09 21:48 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-06 12:50:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2008-02-22 07:54:53 EST
This is an automatically filed bug for a failed rebuild attempt for GCC 4.3.

http://fedoraproject.org/wiki/JesseKeating/gcc43MassRebuildProposal

Please verify why this build failed and fix it.
http://koji.fedoraproject.org/koji/taskinfo?taskID=436858
Exit code was 1, check the build.log for the failed buildArch task.
Comment 1 Henning Norén 2008-02-22 18:12:10 EST
llvm[1]: Compiling FoldingSet.cpp for Release build 
if g++ -I/builddir/build/BUILD/llvm-2.2/lib/Support
-I/builddir/build/BUILD/llvm-2.2/lib/Support
-I/builddir/build/BUILD/llvm-2.2/include
-I/builddir/build/BUILD/llvm-2.2/include
-I/builddir/build/BUILD/llvm-2.2/include
-I/builddir/build/BUILD/llvm-2.2/include  -D_DEBUG  -D_GNU_SOURCE
-D__STDC_LIMIT_MACROS -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions
-fstack-protector --param=ssp-buffer-size=4 -m32  -O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4
-m32 -Woverloaded-virtual -pedantic -Wall -W -Wwrite-strings -Wno-long-long
-Wunused -Wno-unused-parameter  -c -MMD -MP -MF
"/builddir/build/BUILD/llvm-2.2/lib/Support/Release/FoldingSet.d.tmp" -MT
"/builddir/build/BUILD/llvm-2.2/lib/Support/Release/FoldingSet.lo" -MT
"/builddir/build/BUILD/llvm-2.2/lib/Support/Release/FoldingSet.o" -MT
"/builddir/build/BUILD/llvm-2.2/lib/Support/Release/FoldingSet.d" FoldingSet.cpp
-o /builddir/build/BUILD/llvm-2.2/lib/Support/Release/FoldingSet.o ; \
	        then /bin/mv -f
"/builddir/build/BUILD/llvm-2.2/lib/Support/Release/FoldingSet.d.tmp"
"/builddir/build/BUILD/llvm-2.2/lib/Support/Release/FoldingSet.d"; else /bin/rm
"/builddir/build/BUILD/llvm-2.2/lib/Support/Release/FoldingSet.d.tmp"; exit 1; fi
/builddir/build/BUILD/llvm-2.2/include/llvm/Support/Streams.h: In member
function 'llvm::BaseStream<StreamTy>&
llvm::BaseStream<StreamTy>::operator<<(const Ty&) [with Ty = char [13], StreamTy
= std::basic_ostream<char, std::char_traits<char> >]':
APInt.cpp:1392:   instantiated from here
/builddir/build/BUILD/llvm-2.2/include/llvm/Support/Streams.h:44: error: no
match for 'operator<<' in '*((llvm::BaseStream<std::basic_ostream<char,
std::char_traits<char> > >*)this)->llvm::BaseStream<std::basic_ostream<char,
std::char_traits<char> > >::Stream << Thing'
/builddir/build/BUILD/llvm-2.2/include/llvm/Support/Streams.h: In member
function 'llvm::BaseStream<StreamTy>&
llvm::BaseStream<StreamTy>::operator<<(const Ty&) [with Ty = uint32_t, StreamTy
= std::basic_ostream<char, std::char_traits<char> >]':
APInt.cpp:1392:   instantiated from here
/builddir/build/BUILD/llvm-2.2/include/llvm/Support/Streams.h:44: error: no
match for 'operator<<' in '*((llvm::BaseStream<std::basic_ostream<char,
std::char_traits<char> > >*)this)->llvm::BaseStream<std::basic_ostream<char,
std::char_traits<char> > >::Stream << Thing'
/builddir/build/BUILD/llvm-2.2/include/llvm/Support/Streams.h: In member
function 'llvm::BaseStream<StreamTy>&
llvm::BaseStream<StreamTy>::operator<<(const Ty&) [with Ty = char [4], StreamTy
= std::basic_ostream<char, std::char_traits<char> >]':
APInt.cpp:1392:   instantiated from here
/builddir/build/BUILD/llvm-2.2/include/llvm/Support/Streams.h:44: error: no
match for 'operator<<' in '*((llvm::BaseStream<std::basic_ostream<char,
std::char_traits<char> > >*)this)->llvm::BaseStream<std::basic_ostream<char,
std::char_traits<char> > >::Stream << Thing'
/builddir/build/BUILD/llvm-2.2/include/llvm/Support/Streams.h: In member
function 'llvm::BaseStream<StreamTy>&
llvm::BaseStream<StreamTy>::operator<<(const Ty&) [with Ty = char, StreamTy =
std::basic_ostream<char, std::char_traits<char> >]':
APInt.cpp:1392:   instantiated from here
/builddir/build/BUILD/llvm-2.2/include/llvm/Support/Streams.h:44: error: no
match for 'operator<<' in '*((llvm::BaseStream<std::basic_ostream<char,
std::char_traits<char> > >*)this)->llvm::BaseStream<std::basic_ostream<char,
std::char_traits<char> > >::Stream << Thing'
/builddir/build/BUILD/llvm-2.2/include/llvm/Support/Streams.h: In member
function 'llvm::BaseStream<StreamTy>&
llvm::BaseStream<StreamTy>::operator<<(const Ty&) [with Ty = char [20], StreamTy
= std::basic_ostream<char, std::char_traits<char> >]':
APInt.cpp:1393:   instantiated from here
/builddir/build/BUILD/llvm-2.2/include/llvm/Support/Streams.h:44: error: no
match for 'operator<<' in '*((llvm::BaseStream<std::basic_ostream<char,
std::char_traits<char> > >*)this)->llvm::BaseStream<std::basic_ostream<char,
std::char_traits<char> > >::Stream << Thing'
/builddir/build/BUILD/llvm-2.2/include/llvm/Support/Streams.h: In member
function 'llvm::BaseStream<StreamTy>&
llvm::BaseStream<StreamTy>::operator<<(const Ty&) [with Ty = char [2], StreamTy
= std::basic_ostream<char, std::char_traits<char> >]':
APInt.cpp:1394:   instantiated from here
/builddir/build/BUILD/llvm-2.2/include/llvm/Support/Streams.h:44: error: no
match for 'operator<<' in '*((llvm::BaseStream<std::basic_ostream<char,
std::char_traits<char> > >*)this)->llvm::BaseStream<std::basic_ostream<char,
std::char_traits<char> > >::Stream << Thing'
/builddir/build/BUILD/llvm-2.2/include/llvm/Support/Streams.h: In member
function 'llvm::BaseStream<StreamTy>&
llvm::BaseStream<StreamTy>::operator<<(const Ty&) [with Ty = char [27], StreamTy
= std::basic_ostream<char, std::char_traits<char> >]':
APInt.cpp:1431:   instantiated from here
/builddir/build/BUILD/llvm-2.2/include/llvm/Support/Streams.h:44: error: no
match for 'operator<<' in '*((llvm::BaseStream<std::basic_ostream<char,
std::char_traits<char> > >*)this)->llvm::BaseStream<std::basic_ostream<char,
std::char_traits<char> > >::Stream << Thing'
/builddir/build/BUILD/llvm-2.2/include/llvm/Support/Streams.h: In member
function 'llvm::BaseStream<StreamTy>&
llvm::BaseStream<StreamTy>::operator<<(const Ty&) [with Ty = int, StreamTy =
std::basic_ostream<char, std::char_traits<char> >]':
APInt.cpp:1431:   instantiated from here
/builddir/build/BUILD/llvm-2.2/include/llvm/Support/Streams.h:44: error: no
match for 'operator<<' in '*((llvm::BaseStream<std::basic_ostream<char,
std::char_traits<char> > >*)this)->llvm::BaseStream<std::basic_ostream<char,
std::char_traits<char> > >::Stream << Thing'
/builddir/build/BUILD/llvm-2.2/include/llvm/Support/Streams.h: In member
function 'llvm::BaseStream<StreamTy>&
llvm::BaseStream<StreamTy>::operator<<(const Ty&) [with Ty = char [23], StreamTy
= std::basic_ostream<char, std::char_traits<char> >]':
APInt.cpp:1441:   instantiated from here
/builddir/build/BUILD/llvm-2.2/include/llvm/Support/Streams.h:44: error: no
match for 'operator<<' in '*((llvm::BaseStream<std::basic_ostream<char,
std::char_traits<char> > >*)this)->llvm::BaseStream<std::basic_ostream<char,
std::char_traits<char> > >::Stream << Thing'
/builddir/build/BUILD/llvm-2.2/include/llvm/Support/Streams.h: In member
function 'llvm::BaseStream<StreamTy>&
llvm::BaseStream<StreamTy>::operator<<(const Ty&) [with Ty = uint64_t, StreamTy
= std::basic_ostream<char, std::char_traits<char> >]':
APInt.cpp:1441:   instantiated from here
/builddir/build/BUILD/llvm-2.2/include/llvm/Support/Streams.h:44: error: no
match for 'operator<<' in '*((llvm::BaseStream<std::basic_ostream<char,
std::char_traits<char> > >*)this)->llvm::BaseStream<std::basic_ostream<char,
std::char_traits<char> > >::Stream << Thing'
/builddir/build/BUILD/llvm-2.2/include/llvm/Support/Streams.h: In member
function 'llvm::BaseStream<StreamTy>&
llvm::BaseStream<StreamTy>::operator<<(const Ty&) [with Ty = char [17], StreamTy
= std::basic_ostream<char, std::char_traits<char> >]':
APInt.cpp:1450:   instantiated from here
/builddir/build/BUILD/llvm-2.2/include/llvm/Support/Streams.h:44: error: no
match for 'operator<<' in '*((llvm::BaseStream<std::basic_ostream<char,
std::char_traits<char> > >*)this)->llvm::BaseStream<std::basic_ostream<char,
std::char_traits<char> > >::Stream << Thing'
/builddir/build/BUILD/llvm-2.2/include/llvm/Support/Streams.h: In member
function 'llvm::BaseStream<StreamTy>&
llvm::BaseStream<StreamTy>::operator<<(const Ty&) [with Ty = char [9], StreamTy
= std::basic_ostream<char, std::char_traits<char> >]':
APInt.cpp:1450:   instantiated from here
/builddir/build/BUILD/llvm-2.2/include/llvm/Support/Streams.h:44: error: no
match for 'operator<<' in '*((llvm::BaseStream<std::basic_ostream<char,
std::char_traits<char> > >*)this)->llvm::BaseStream<std::basic_ostream<char,
std::char_traits<char> > >::Stream << Thing'
/builddir/build/BUILD/llvm-2.2/include/llvm/Support/Streams.h: In member
function 'llvm::BaseStream<StreamTy>&
llvm::BaseStream<StreamTy>::operator<<(const Ty&) [with Ty = char [12], StreamTy
= std::basic_ostream<char, std::char_traits<char> >]':
APInt.cpp:1461:   instantiated from here
/builddir/build/BUILD/llvm-2.2/include/llvm/Support/Streams.h:44: error: no
match for 'operator<<' in '*((llvm::BaseStream<std::basic_ostream<char,
std::char_traits<char> > >*)this)->llvm::BaseStream<std::basic_ostream<char,
std::char_traits<char> > >::Stream << Thing'
/builddir/build/BUILD/llvm-2.2/include/llvm/Support/Streams.h: In member
function 'llvm::BaseStream<StreamTy>&
llvm::BaseStream<StreamTy>::operator<<(const Ty&) [with Ty = bool, StreamTy =
std::basic_ostream<char, std::char_traits<char> >]':
APInt.cpp:1461:   instantiated from here
/builddir/build/BUILD/llvm-2.2/include/llvm/Support/Streams.h:44: error: no
match for 'operator<<' in '*((llvm::BaseStream<std::basic_ostream<char,
std::char_traits<char> > >*)this)->llvm::BaseStream<std::basic_ostream<char,
std::char_traits<char> > >::Stream << Thing'
/builddir/build/BUILD/llvm-2.2/include/llvm/Support/Streams.h: In member
function 'llvm::BaseStream<StreamTy>&
llvm::BaseStream<StreamTy>::operator<<(const Ty&) [with Ty = char [21], StreamTy
= std::basic_ostream<char, std::char_traits<char> >]':
APInt.cpp:1475:   instantiated from here
/builddir/build/BUILD/llvm-2.2/include/llvm/Support/Streams.h:44: error: no
match for 'operator<<' in '*((llvm::BaseStream<std::basic_ostream<char,
std::char_traits<char> > >*)this)->llvm::BaseStream<std::basic_ostream<char,
std::char_traits<char> > >::Stream << Thing'
/builddir/build/BUILD/llvm-2.2/include/llvm/Support/Streams.h: In member
function 'llvm::BaseStream<StreamTy>&
llvm::BaseStream<StreamTy>::operator<<(const Ty&) [with Ty = char [16], StreamTy
= std::basic_ostream<char, std::char_traits<char> >]':
APInt.cpp:1475:   instantiated from here
/builddir/build/BUILD/llvm-2.2/include/llvm/Support/Streams.h:44: error: no
match for 'operator<<' in '*((llvm::BaseStream<std::basic_ostream<char,
std::char_traits<char> > >*)this)->llvm::BaseStream<std::basic_ostream<char,
std::char_traits<char> > >::Stream << Thing'
/builddir/build/BUILD/llvm-2.2/include/llvm/Support/Streams.h: In member
function 'llvm::BaseStream<StreamTy>&
llvm::BaseStream<StreamTy>::operator<<(const Ty&) [with Ty = char [29], StreamTy
= std::basic_ostream<char, std::char_traits<char> >]':
APInt.cpp:1478:   instantiated from here
/builddir/build/BUILD/llvm-2.2/include/llvm/Support/Streams.h:44: error: no
match for 'operator<<' in '*((llvm::BaseStream<std::basic_ostream<char,
std::char_traits<char> > >*)this)->llvm::BaseStream<std::basic_ostream<char,
std::char_traits<char> > >::Stream << Thing'
/builddir/build/BUILD/llvm-2.2/include/llvm/Support/Streams.h: In member
function 'llvm::BaseStream<StreamTy>&
llvm::BaseStream<StreamTy>::operator<<(const Ty&) [with Ty = char [28], StreamTy
= std::basic_ostream<char, std::char_traits<char> >]':
APInt.cpp:1493:   instantiated from here
/builddir/build/BUILD/llvm-2.2/include/llvm/Support/Streams.h:44: error: no
match for 'operator<<' in '*((llvm::BaseStream<std::basic_ostream<char,
std::char_traits<char> > >*)this)->llvm::BaseStream<std::basic_ostream<char,
std::char_traits<char> > >::Stream << Thing'
/builddir/build/BUILD/llvm-2.2/include/llvm/Support/Streams.h: In member
function 'llvm::BaseStream<StreamTy>&
llvm::BaseStream<StreamTy>::operator<<(const Ty&) [with Ty = char [7], StreamTy
= std::basic_ostream<char, std::char_traits<char> >]':
APInt.cpp:2011:   instantiated from here
/builddir/build/BUILD/llvm-2.2/include/llvm/Support/Streams.h:44: error: no
match for 'operator<<' in '*((llvm::BaseStream<std::basic_ostream<char,
std::char_traits<char> > >*)this)->llvm::BaseStream<std::basic_ostream<char,
std::char_traits<char> > >::Stream << Thing'
/builddir/build/BUILD/llvm-2.2/include/llvm/Support/Streams.h: In member
function 'llvm::BaseStream<StreamTy>&
llvm::BaseStream<StreamTy>::operator<<(const Ty&) [with Ty = char [3], StreamTy
= std::basic_ostream<char, std::char_traits<char> >]':
APInt.cpp:2011:   instantiated from here
/builddir/build/BUILD/llvm-2.2/include/llvm/Support/Streams.h:44: error: no
match for 'operator<<' in '*((llvm::BaseStream<std::basic_ostream<char,
std::char_traits<char> > >*)this)->llvm::BaseStream<std::basic_ostream<char,
std::char_traits<char> > >::Stream << Thing'
/builddir/build/BUILD/llvm-2.2/include/llvm/Support/Streams.h: In member
function 'llvm::BaseStream<StreamTy>&
llvm::BaseStream<StreamTy>::operator<<(const Ty&) [with Ty = char [5], StreamTy
= std::basic_ostream<char, std::char_traits<char> >]':
APInt.cpp:2017:   instantiated from here
/builddir/build/BUILD/llvm-2.2/include/llvm/Support/Streams.h:44: error: no
match for 'operator<<' in '*((llvm::BaseStream<std::basic_ostream<char,
std::char_traits<char> > >*)this)->llvm::BaseStream<std::basic_ostream<char,
std::char_traits<char> > >::Stream << Thing'
/usr/lib/gcc/ppc64-redhat-linux/4.3.0/../../../../include/c++/4.3.0/iomanip: In
function 'std::basic_ostream<_CharT, _Traits>&
std::operator<<(std::basic_ostream<_CharT, _Traits>&, std::_Setbase) [with
_CharT = char, _Traits = std::char_traits<char>]':
/builddir/build/BUILD/llvm-2.2/include/llvm/Support/Streams.h:44:   instantiated
from 'llvm::BaseStream<StreamTy>& llvm::BaseStream<StreamTy>::operator<<(const
Ty&) [with Ty = std::_Setbase, StreamTy = std::basic_ostream<char,
std::char_traits<char> >]'
APInt.cpp:1394:   instantiated from here
/usr/lib/gcc/ppc64-redhat-linux/4.3.0/../../../../include/c++/4.3.0/iomanip:155:
error: invalid use of incomplete type 'struct std::basic_ostream<char,
std::char_traits<char> >'
/usr/lib/gcc/ppc64-redhat-linux/4.3.0/../../../../include/c++/4.3.0/iosfwd:61:
error: declaration of 'struct std::basic_ostream<char, std::char_traits<char> >'
make[1]: *** [/builddir/build/BUILD/llvm-2.2/lib/Support/Release/APInt.o] Error 1
make[1]: *** Waiting for unfinished jobs....
FileUtilities.cpp: In function 'bool CompareNumbers(char*&, char*&, char*,
char*, double, double, std::string*)':
FileUtilities.cpp:68: error: 'strtod' was not declared in this scope
make[1]: ***
[/builddir/build/BUILD/llvm-2.2/lib/Support/Release/FileUtilities.o] Error 1
CommandLine.cpp: In member function 'bool llvm::cl::parser<unsigned
int>::parse(llvm::cl::Option&, const char*, const std::string&, unsigned int&)':
CommandLine.cpp:807: error: 'ULONG_MAX' was not declared in this scope
make[1]: *** [/builddir/build/BUILD/llvm-2.2/lib/Support/Release/CommandLine.o]
Error 1
FoldingSet.cpp: In member function 'bool
llvm::FoldingSetImpl::NodeID::operator==(const llvm::FoldingSetImpl::NodeID&)
const':
FoldingSet.cpp:130: error: 'memcmp' was not declared in this scope
FoldingSet.cpp: In constructor 'llvm::FoldingSetImpl::FoldingSetImpl(unsigned int)':
FoldingSet.cpp:176: error: 'memset' was not declared in this scope
FoldingSet.cpp: In member function 'void llvm::FoldingSetImpl::GrowHashTable()':
FoldingSet.cpp:197: error: 'memset' was not declared in this scope
make[1]: *** [/builddir/build/BUILD/llvm-2.2/lib/Support/Release/FoldingSet.o]
Error 1
make[1]: Leaving directory `/builddir/build/BUILD/llvm-2.2/lib/Support'
make: *** [all] Error 1
Comment 2 Bryan O'Sullivan 2008-02-28 23:01:30 EST
Jon, if you're going to have a go at this, be aware that there's a pile of
changes in upstream SVN that address these build issues.

svn log http://llvm.org/svn/llvm-project/llvm/trunk

See revs 47367, 47368, and 47369, but there are others, too: asl is the author
of the lot.
Comment 3 Jon Stanley 2008-02-28 23:21:13 EST
Nah, I was just changing it to the right status - per our current triage
guidelines, triaged bugs (which this is) get ASSIGNED to the maintainer.

I'm not qualified to actually have a go at this, sorry! :)

Note You need to log in before you can comment on or make changes to this bug.